from typing import Any

from report_writer.impl.xlsx.report.writers.base import BaseReportWriter
from report_writer.impl.xlsx.utils.coordinates import get_coordinates


class CellWriter(BaseReportWriter):
    """
    Писатель клетки отчёта.
    """
    def write(self, row: int, col: int, data: Any) -> None:
        self._report.worksheet[get_coordinates(row, col)].value = data
